Bug 191524 - [patch] audio/alsa-lib, audio/alsa-plugins, audio/alsa-utils: update to 1.0.28
[patch] audio/alsa-lib, audio/alsa-plugins, audio/alsa-utils: update to 1.0.28
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Only Me
Assigned To: John Marino
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-01 08:08 UTC by Jan Beich (N/A in 06/27..07/14)
Modified: 2014-08-09 15:22 UTC (History)
2 users (show)

See Also:


Attachments
combined (40.42 KB, patch)
2014-07-01 08:08 UTC, Jan Beich (N/A in 06/27..07/14)
no flags Details | Diff
alsa-plugins testport log with all options set (10.51 KB, text/plain)
2014-07-01 08:11 UTC, Jan Beich (N/A in 06/27..07/14)
no flags Details
update, v2 (43.40 KB, patch)
2014-07-13 11:41 UTC, Jan Beich (N/A in 06/27..07/14)
no flags Details | Diff
update, v2.1 (43.93 KB, patch)
2014-08-08 00:01 UTC, Jan Beich (N/A in 06/27..07/14)
no flags Details | Diff
update, v2.2 (44.17 KB, patch)
2014-08-09 14:07 UTC, Jan Beich (N/A in 06/27..07/14)
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich (N/A in 06/27..07/14) freebsd_committer 2014-07-01 08:08:13 UTC
Created attachment 144308 [details]
combined

- update (fixes bug 191190)
- convert to new options syntax
- make sure PYTHON and FFMPEG are detected properly
- (conf) alias surround stuff to pcm.default
- (lib) split patches and refactor a bit
- (plugins) fix leftovers for PREFIX!=LOCALBASE
- (utils) rename XMLTO to MANPAGES
- (cosmetic) fix OPTIONS_SUB usage
Comment 1 Jan Beich (N/A in 06/27..07/14) freebsd_committer 2014-07-01 08:11:37 UTC
Created attachment 144309 [details]
alsa-plugins testport log with all options set
Comment 2 Jan Beich (N/A in 06/27..07/14) freebsd_committer 2014-07-01 08:17:27 UTC
Comment on attachment 144309 [details]
alsa-plugins testport log with all options set

Nevermind, even text/plain is restricted and this needs more than one file. My testing consisted of |poudriere testport| on 9.3-RC1 i386 for every port with all options selected then with all options unselected.
Comment 3 Jan Beich (N/A in 06/27..07/14) freebsd_committer 2014-07-13 11:41:17 UTC
Created attachment 144632 [details]
update, v2

A few small fixups to help DragonFly.
Comment 4 John Marino freebsd_committer 2014-07-24 12:06:47 UTC
Reminder from maintainer: this needs approval
Comment 5 Aragon Gouveia 2014-07-24 12:16:29 UTC
Hi.  My maintainership of this port is historic as I originally created it, but I'm rarely in a position to test and approve changes to it.  Jan has submitted a number of changes to these ports, and I trust his judgement, so please consider this change approved!  Maybe Jan would like to take over maintainership too?
Comment 6 John Marino freebsd_committer 2014-08-07 15:57:20 UTC
Maintainer approved.
Please reset maintainership as he can't test changes anymore.
Jan (the submitter) may be interested in maintaining it, but if he doesn't say anything, set it to "ports@"
Comment 7 Jan Beich (N/A in 06/27..07/14) freebsd_committer 2014-08-08 00:01:01 UTC
Created attachment 145494 [details]
update, v2.1

Are you sure? I don't have enough courage/time to engage upstream.

A few changes meanwhile:
- jump on maintainer ship (alas, no co-maintainer support) to dodge ports@
- rebase after r364130 and r363008
- remove bsd.port.options.mk from alsa-lib, alsa-utils
Comment 8 John Marino freebsd_committer 2014-08-09 12:18:31 UTC
alsa-lib, poudriere-clean

alsa-plugin:
====> Running Q/A tests (stage-qa)
Warning: 'lib/alsa-lib/libasound_module_pcm_vdownmix.so' is not stripped conside
r using ${STRIP_CMD}
Warning: 'lib/alsa-lib/libasound_module_ctl_oss.so' is not stripped consider usi
ng ${STRIP_CMD}
Warning: 'lib/alsa-lib/libasound_module_pcm_oss.so' is not stripped consider usi
ng ${STRIP_CMD}
Warning: 'lib/alsa-lib/libasound_module_ctl_arcam_av.so' is not stripped conside
r using ${STRIP_CMD}
Warning: 'lib/alsa-lib/libasound_module_pcm_upmix.so' is not stripped consider u
sing ${STRIP_CMD}
Warning: 'lib/alsa-lib/libasound_module_pcm_usb_stream.so' is not stripped consi
der using ${STRIP_CMD}
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
Warning: Possibly owned by dependency: @dirrmtry lib/alsa-lib
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done


alsa-utils:
===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
Warning: Possibly owned by dependency: @dirrmtry share/alsa
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done


I would have commit with the "dependency-owned" warnings but the stripping in alsa-lib needs to be fixed.
Comment 9 Jan Beich (N/A in 06/27..07/14) freebsd_committer 2014-08-09 14:07:07 UTC
Created attachment 145563 [details]
update, v2.2

(In reply to John Marino from comment #8)
> alsa-plugin:
> ====> Running Q/A tests (stage-qa)
> Warning: 'lib/alsa-lib/libasound_module_pcm_vdownmix.so' is not stripped
> consider using ${STRIP_CMD}

Was the check added recently? I don't see STRIP_CMD warnings from |poudriere testport| logs run a month ago. Fixed.

Also added LICENSE to pacify portlint.

> Warning: Possibly owned by dependency: @dirrmtry lib/alsa-lib
> Warning: Possibly owned by dependency: @dirrmtry share/alsa

Cannot be fixed without leaving PREFIX!=LOCALBASE orphans:

lib/alsa-lib is used by both audio/alsa-lib and audio/alsa-plugins
share/alsa is used by both audio/alsa-lib and audio/alsa-utils

====>> Checking for extra files and directories
====>> Files or directories left over:
@dirrm share/alsa/alsa.conf.d
@dirrm share/alsa
@dirrm lib/alsa-lib

For |poudriere testport| add -P option to avoid seeing the warning.
Comment 10 John Marino freebsd_committer 2014-08-09 14:28:01 UTC
(In reply to Jan Beich from comment #9)
> Was the check added recently? I don't see STRIP_CMD warnings from |poudriere
> testport| logs run a month ago. Fixed.

It comes with "bulk -t" or "testport".  A regular poudriere build doesn't test for this.



> lib/alsa-lib is used by both audio/alsa-lib and audio/alsa-plugins
> share/alsa is used by both audio/alsa-lib and audio/alsa-utils

Okay, I infer from your comments that one can exist without the other so both need to try to remove the directory.  Most often the message is correct and the later port is trying to remove a lower port's directory which will always fail


> ====>> Checking for extra files and directories
> ====>> Files or directories left over:
> @dirrm share/alsa/alsa.conf.d
> @dirrm share/alsa
> @dirrm lib/alsa-lib
> 
> For |poudriere testport| add -P option to avoid seeing the warning.

Hmm, I didn't see those warnings....  Let's see what happens.
Comment 11 Kurt Jaeger freebsd_committer 2014-08-09 14:52:33 UTC
tested in poudriere with 9.1 and 10.0 (amd64) and 8.4 (i386). Looks fine.
Comment 12 commit-hook freebsd_committer 2014-08-09 15:21:22 UTC
A commit references this bug:

Author: marino
Date: Sat Aug  9 15:20:41 UTC 2014
New revision: 364447
URL: http://svnweb.freebsd.org/changeset/ports/364447

Log:
  audio/alsa-(lib|plugins|utils): Upgrade version 1.0.27.2 => 1.0.28

  Also switch maintainership to submitter with blessing of former
  maintainer.  Other changes include:

    * fix for bug 191190
    * Use new options syntax
    * Proper detection of PYTHON and FFMPEG
    * fix leftovers
    * strip libraries to satisfy stage-qa
    * conf: alias surround stuff to pcm.default
    * lib: split patches and refactor
    * utils: rename XMLTO to MANPAGES

  PR:		191524
  Submitted by:	Jan Beich
  Approved by:	former maintainer (Aragon Gouveia)

Changes:
  head/audio/alsa-lib/Makefile
  head/audio/alsa-lib/distinfo
  head/audio/alsa-lib/files/asound.conf.sample
  head/audio/alsa-lib/files/byteswap.h
  head/audio/alsa-lib/files/linux/
  head/audio/alsa-lib/files/linux/ioctl.h
  head/audio/alsa-lib/files/linux/types.h
  head/audio/alsa-lib/files/malloc.h
  head/audio/alsa-lib/files/patch-alsa-lib
  head/audio/alsa-lib/files/patch-include__pcm.h
  head/audio/alsa-lib/files/patch-src__async.c
  head/audio/alsa-lib/files/patch-src__pcm__pcm_direct.c
  head/audio/alsa-lib/files/patch-src__timer__timer_hw.c
  head/audio/alsa-lib/pkg-plist
  head/audio/alsa-plugins/Makefile
  head/audio/alsa-plugins/distinfo
  head/audio/alsa-plugins/files/alsa-plugins.patch
  head/audio/alsa-plugins/files/patch-ffmpeg-version
  head/audio/alsa-plugins/files/patch-jack-pcm_jack.c
  head/audio/alsa-plugins/files/patch-usb_stream-pcm_usb_stream.c
  head/audio/alsa-plugins/pkg-plist
  head/audio/alsa-utils/Makefile
  head/audio/alsa-utils/distinfo
  head/audio/alsa-utils/files/patch-alsa-utils
  head/audio/alsa-utils/files/patch-alsaloop__alsaloop.c
  head/audio/alsa-utils/files/patch-alsamixer__mixer_display.c
  head/audio/alsa-utils/files/patch-alsamixer__volume_mapping.c
  head/audio/alsa-utils/files/patch-aplay__aplay.c
  head/audio/alsa-utils/files/patch-aplay__formats.h
  head/audio/alsa-utils/pkg-plist
Comment 13 John Marino freebsd_committer 2014-08-09 15:22:32 UTC
yep, new version tested clean for me too.  Thanks, Jan!